| Home | Libraries | People | FAQ | More

## Class invalid_command_line_syntax

boost::program_options::invalid_command_line_syntax

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class invalid_command_line_syntax :
      public boost::program_options::invalid_syntax
    {
    public:
      // construct/copy/destruct
      invalid_command_line_syntax(kind_t, const std::string & = "",
                                  const std::string & = "", int = 0);
      ~invalid_command_line_syntax();
    };

## Description

Class thrown when there are syntax errors in given command line

### `invalid_command_line_syntax` public construct/copy/destruct

1.     invalid_command_line_syntax(kind_t kind, const std::string & option_name = "",
                                   const std::string & original_token = "",
                                   int option_style = 0);

2.     ~invalid_command_line_syntax();